lkml.org 
[lkml]   [2017]   [Apr]   [20]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] ASoC: codec: wm9860: avoid maybe-uninitialized warning
On Thu, Apr 20, 2017 at 09:44:28AM +0200, Arnd Bergmann wrote:
> On Thu, Apr 20, 2017 at 8:48 AM, Daniel Baluta <daniel.baluta@gmail.com> wrote:
> > On Wed, Apr 19, 2017 at 8:04 PM, Arnd Bergmann <arnd@arndb.de> wrote:

> > gcc version 6.2.1 20161016 (Linaro GCC 6.2-2016.11)

> I'm using gcc-7.0.1 here, which overall has better warnings for
> -Wmaybe-uninitialized
> than older versions, but sometimes also finds new false positives.

FWIW the PLL stuff has typically been really good at generating false
positives with older versions of GCC for some reason, this driver is a
bit different though.
[unhandled content-type:application/pgp-signature]
\
 
 \ /
  Last update: 2017-04-20 21:49    [W:0.056 / U:0.028 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site